# Utility: CombineIni OldIniFile NewIniFile 
# in: OldIniFile
# in: NewIniFile 
# out: NewIniFile
# combine result will follow the structure in NewIniFile but keep the value in OldIniFile

def main():
    import ConfigParser
    import optparse
    import sys
    import os
    
    usage = "usage: %prog <OldIniFile> <NewIniFile>"
    description = """CombineIni.py will combine two ini file based on the NewIniFile structure and OldIniFile value.
    Then CombineIni.py will write the output to NewIniFile."""
    
    optParser = optparse.OptionParser(usage=usage, description=description)
    (options, args) = optParser.parse_args()

    if len(args) != 2:
        optParser.error('incorrect number of arguments')
        
    oldIniFile, newIniFile = args
    
    if os.path.exists(os.path.realpath(os.path.abspath(oldIniFile))) == False:
        print "'%s' doesn't exists." % oldIniFile
        sys.exit(1);
        
    if os.path.isfile(os.path.realpath(os.path.abspath(newIniFile))) == False:
        print "'%s' is not a file." % newIniFile
        sys.exit(1);
        
    oldConfig = ConfigParser.ConfigParser()
    newConfig = ConfigParser.ConfigParser()

    oldConfig.optionxform = str
    newConfig.optionxform = str  
    oldConfig.read(oldIniFile)
    newConfig.read(newIniFile)

    for sec in newConfig.sections():
        for name in newConfig.options(sec):
            if oldConfig.has_option(sec, name):
                newConfig.set(sec, name, oldConfig.get(sec, name))

    newConfig.write(open(newIniFile, 'wb'))
    os.system("sed -i 's/ *= */=/g' %s" %newIniFile)

    
if __name__ == "__main__":
    main()
