#!/bin/bash
PATH="$PATH":/usr/tmcss/bin
export PATH

echo "*********** Generate Smart Filter ***********"
echo MakeBF $1 $4
MakeBF $1 &> /dev/null
if [ "$?" -ne "0" ]; then
	logger -t UpdatePattern "Generate Smart Filter Failed. ($1)"
	exit $?;
fi
echo 
echo "*********** Generate Smart Filter Diff ***********"
echo GenBFDiff $2
GenBFDiff $2 &> /dev/null
if [ "$?" -ne "0" ]; then
	logger -t UpdatePattern "Generate Smart Filter diff failed."
	exit $?;
fi
echo

echo 
echo "*********** Generate CRC Diff ***********"
echo GenCRCDiff $2 $3 $4
GenCRCDiff $2 $3 &> /dev/null
if [ "$?" -ne "0" ]; then
	logger -t UpdatePattern "Generate CRC diff failed."
	exit $?;
fi
echo

echo "*********** Import Pattern into iCRC2 ***********"
echo PtnImport localhost $1
PtnImport localhost $1 &> /dev/null
if [ "$?" -ne "0" ]; then
	logger -t UpdatePattern "Import Pattern failed."
	exit $?;
fi
echo

echo "*********** Import vinfo for report ***********"
echo LogImport -conf /var/tmcss/conf/LogImport.ini -au $1
LogImport -conf /var/tmcss/conf/LogImport.ini -au $1 &> /dev/null
if [ "$?" -ne "0" ]; then
	logger -t UpdatePattern "Import vinfo for report failed."
	exit $?;
fi
echo

echo "*********** Update new pattern info into mmap (shared memory) ***********"
echo UpdateMmap $2
UpdateMmap $2 &> /dev/null
if [ "$?" -ne "0" ]; then
	logger -t UpdatePattern "Update mmap filed."
	exit $?;
fi
echo

exit 0;
