#!/bin/sh

# Drop table PatternInfo, LCRC and VINFO
sudo -u postgres psql iCRC2 -c "DROP TABLE lcrc"
sudo -u postgres psql iCRC2 -c "DROP TABLE vinfo"
sudo -u postgres psql iCRC2 -c "DROP TABLE patterninfo"

ReadOnlyAccount=ROnlyAccount
ReadWriteAccount=RWAccount

## PostgreSQL databases, tables, and users setup
READ_ONLY_SQL="GRANT SELECT ON lcrc,patterninfo,vinfo TO \"$ReadOnlyAccount\";"
READ_WRITE_SQL="GRANT SELECT, DELETE, UPDATE, INSERT ON lcrc,patterninfo,vinfo TO \"$ReadWriteAccount\";"

ReadWriteAccount=RWAccount

# Create table iCRC2
sudo -u postgres psql iCRC2 -c "CREATE TABLE PatternInfo (type integer, iver bigint );\
CREATE TABLE LCRC (Key bytea NOT NULL, Value bytea NOT NULL);\
CREATE TABLE VINFO (VID bytea NOT NULL, IDX bytea NOT NULL, NAME bytea NOT NULL, Value bytea NOT NULL);\
CREATE INDEX vinfo_vid_index on vinfo(vid);\
CREATE INDEX vinfo_idx_index on vinfo(idx);\
CREATE INDEX vinfo_name_index on vinfo(name);\
ALTER TABLE PatternInfo OWNER TO \"$ReadWriteAccount\";\
ALTER TABLE LCRC OWNER TO \"$ReadWriteAccount\";\
ALTER TABLE VINFO OWNER TO \"$ReadWriteAccount\";"

sudo -u postgres psql iCRC2 -c "$READ_ONLY_SQL"
sudo -u postgres psql iCRC2 -c "$READ_WRITE_SQL"

