<?php
function getPatternVersion($version)
{
        $pattern = '/(\d+)(\d{3})(\d{2})/';
        $replacement = '${1}.${2}.${3}';
        return preg_replace($pattern, $replacement, $version);
}

require_once("inc/auth_session.php");
require_once("inc/rsa.php");
require_once("inc/crontab.php");
require_once("inc/readwriteini.php");
require_once("inc/l10n.php");

header('Pragma: no-cache');
header('Cache-Control: no-cache');


$ini_array_update_status =  parse_ini_file_quotes_safe("/var/tmcss/conf/UpdateStatus.ini");
if(!$ini_array_update_status)
{
	// When system doesn't have UpdateStatus.ini file, show it as  TmuStatus = others
	$ini_array_update_status['UpdateStatus']['AURetCode']   = "-1";	
	$ini_array_update_status['UpdateStatus']['ExecRetCode'] = "-1";
	$ini_array_update_status['UpdateStatus']['Progress'] 	= "-1";
	$ini_array_update_status['UpdateStatus']['AUErrMsg'] 	= "";
}
        
// get variables
$szAction = @$_GET['update_status'];

$another_process_in_progress=0;

if($szAction == 'running')
{
	$another_process_in_progress=1;
}

$ini_array = parse_ini_file("/var/tmcss/conf/PatternVersion.ini");

strftime("%Y %m-%d %r", time());

$LeaderTableUpdateTime = "";
$BFUpdateTime = "";


if(!is_null($ini_array["LeaderTablePatternLastUpdateTime"]) && $ini_array["LeaderTablePatternLastUpdateTime"]!=0)
        $LeaderTableUpdateTime = strftime("%Y %m-%d %r", $ini_array["LeaderTablePatternLastUpdateTime"]);

$newAUCrontab="/var/tmcss/conf/iCRC_AUCrontab";
$oldAUCrontab="/tmp/iCRC_AUCrontab";

$crontab=new crontab("/tmp/", "iCRC_AUCrontab","\/usr\/tmcss\/bin\/AU.exe");
$filename="/var/tmcss/conf/AU.ini";
$arr1 = parse_ini_file_quotes_safe($filename);
if(!$arr1)
{
   	$arr1['AU']['DefaultAUServer']  = "http://beta.external.trendmicro.com/activeupdate/icrc-v4";
	$arr1['AU']['UseOtherAUServer'] = "0";
	$arr1['AU']['OtherAUServer']    = "";
	$arr1['AU']['ProxyServer']      = "";
	$arr1['AU']['ProxyPort']        = "0";
	$arr1['AU']['UseProxy']         = "0";
	$arr1['AU']['UseSocks4']        = "0";
	$arr1['AU']['ProxyUsername']    = "";
	$arr1['AU']['ProxyPassword']    = "";	
	$arr1['AU']['RequireAuth']      = "0";
	$arr1['AU']['UseAUSchedule']    = "1";
	$arr1['AU']['AUSchedule']       = "60";
	$arr1['AU']['AUDownloadPath']   = "/var/tmcss/activeupdate";
	$arr1['AU']['AUDebuglogPath']   = "/var/tmcss/debuglogs";
	$arr1['AU']['KeepPatternsNumber'] = "2";
	$arr1['AU']['AllowMaximumSecondsUpdatePatternRun']= "3600";
}

$public_key = GetModulusForClient();
if ($_SERVER['REQUEST_METHOD'] != 'POST'){

} else {

	if (!isset($_POST['username']))
        {
            $_POST['username'] = "undefine";
        }

	if (!isset($_POST['password']))
        {
            $_POST['password'] = "undefine";
        }

        if (!isset($_POST['useProxy']))
        {
            $_POST['useProxy'] = "undefine";
        }

        if (!isset($_POST['proxy_serevr']))
        {
            $_POST['proxy_serevr'] = "undefine";
        }

        if (!isset($_POST['proxy_port']))
        {
            $_POST['proxy_port'] = "undefine";
        }

        if (!isset($_POST['protocol']))
        {
            $_POST['protocol'] = "undefine";
        }


        if (!isset($_POST['auschedule_setting']))
        {
            $_POST['auschedule_setting'] = "undefine";
        }

        if($_POST['ausource_setting']=="0")
	    $arr1['AU']['UseOtherAUServer']=0;
        else
	    $arr1['AU']['UseOtherAUServer']=1;

        $arr1['AU']['OtherAUServer']=$_POST['ausource_othersource'];

        $arr1['AU']['UseAUSchedule']= is_null($_POST["spare_useAUSchedule"])?"0":$_POST["spare_useAUSchedule"];	
        if($arr1['AU']['UseAUSchedule']=="0")
        {
	    if($_POST['spare_auschedule_setting']=="0")
            {
                 $arr1['AU']['AUSchedule']="60";
            }
	    else
	    {
		$arr1['AU']['AUSchedule']="15";
	    }
        }
        else
        {
            if($_POST['spare_auschedule_setting']=="0")
            {
           	 $arr1['AU']['AUSchedule']="60";
            	 $crontab->setDateParams("0", "*/1", "*", "*", "*");
            	 $crontab->setCommand("/usr/tmcss/bin/AU.exe --servau");
            	 $crontab->saveCronFile();
            }
            else
            {
           	 $arr1['AU']['AUSchedule']="15";
            	 $crontab->setDateParams("*/15", "*", "*", "*", "*");
            	 $crontab->setCommand("/usr/tmcss/bin/AU.exe --servau");
            	 $crontab->saveCronFile();
            }
        }


	$change_password = is_null($_POST["is_pwd_changed"])? "false":$_POST["is_pwd_changed"];
	$proxy_account =  is_null($_POST["spare_username"])?"":$_POST["spare_username"];
	$encrypted =  is_null($_POST["epwd"])?"":$_POST["epwd"];

	if($change_password == "true")
	{
	     $arr1['AU']['ProxyPassword']=$encrypted;
	}

	$arr1['AU']['UseProxy']= is_null($_POST["spare_useProxy"])?"0":$_POST["spare_useProxy"];

	$arr1['AU']['ProxyServer']=is_null($_POST["spare_proxy_serevr"])?"":$_POST["spare_proxy_serevr"];
	$arr1['AU']['ProxyPort']=is_null($_POST["spare_proxy_port"])?"0":$_POST["spare_proxy_port"];
	$arr1['AU']['UseSocks4']=is_null($_POST["spare_protocol"])?"0":$_POST["spare_protocol"];
	$arr1['AU']['ProxyUsername']= is_null($_POST["spare_username"])?"":$_POST["spare_username"];

	if(strlen($_POST['spare_username'])>0 || strlen($_POST['spare_password'])>0)
	    $arr1['AU']['RequireAuth']= "1";
	else
	    $arr1['AU']['RequireAuth']= "0";


        if(! write_ini_file($filename ,$arr1))
	{
	     header( 'Location: updates.php?status=writeinierror&sid='.$session_name ) ;
	     exit;
	}

        if(! $crontab->addToCrontab())
	{
	     header( 'Location: updates.php?status=savecrontaberror&sid='.$session_name ) ;
	     exit;
	}

        $crontab->destroyFilePoint(); // OPTIONAL
        if(file_exists($newAUCrontab))
        {
           unlink($newAUCrontab);
           rename($oldAUCrontab,$newAUCrontab);
        }
        else
        {
           rename($oldAUCrontab,$newAUCrontab);
        }
	header( 'Location: updates.php?status=done&sid='.$session_name ) ;

}
?>


<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="../css/trend-style.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../javascript/common.js"></script>
<script type="text/javascript" src="../javascript/js-common.js"></script>
<script type="text/javascript" src="./localization.php"></script>
<script type="text/javascript" src="../javascript/trend-ui.errormessage.js"></script>
<script language="JavaScript" type="text/javascript" src="../javascript/prng4.js"></script>
<script language="JavaScript" type="text/javascript" src="../javascript/rng.js"></script>
<script language="JavaScript" type="text/javascript" src="../javascript/jsbn.js"></script>
<script language="JavaScript" type="text/javascript" src="../javascript/rsa.js"></script>
<script language="JavaScript" type="text/javascript" src="../javascript/base64.js"></script>
<script language="JavaScript" type="text/javascript" src="../javascript/validation.js"></script>


<script type="text/JavaScript">
window.onload = function(){
	
    // help button event
    document.getElementById('HelpIcon').onclick = function()
    {
        showHelp('../help/components.htm');
    	return false;
    }  
        
    updateAUSchedule = document.getElementById('useAUSchedule');
    updateAUSchedule.checked = isUsingAUSchedule;
    updateAUSchedule.onclick = updateAUScheduleUI;

    proxy = document.getElementById('useProxy');
    proxy.checked = isUsingProxy;
    proxy.onclick = updateUI ;
   
    updateAUScheduleUI(); 
    updateUI();
    
    // check the page type
    submit_status = getParameter('status'); // replace by backend variable
    
    // set status massage
    if(submit_status) {
        var $msg_type = submit_status=='done' ? 'notice' : 'error';
        var $message  = submit_status=='done' ? SETTING_SUCCESS : SETTING_FAILED;
        if(submit_status!='done')
	{
	    switch(submit_status)
	    {
                case 'writeinierror':
		    $message= $message+'<BR>'+WRITE_INI_FAILED;
		    break;
		case 'savecrontaberror':
		    $message= $message+'<BR>'+SAVE_CRONTAB_FAILED;
		    break; 
		default:
	    }
	}    
        messageMaker('status_message', 
                     { msg_type :$msg_type, //ENUM: notice, caution, error
                      message  :$message
                     }
                    );
        
    }
    else if (getParameter('update_status')) 
    {
        var anotherprocessinprogress =  <?php echo htmlentities($another_process_in_progress); ?>;
        var AURetCode = <?php echo htmlentities($ini_array_update_status['UpdateStatus']['AURetCode']); ?>;
        var ExecRetCode =  <?php echo htmlentities($ini_array_update_status['UpdateStatus']['ExecRetCode']); ?>;
        var Progress = <?php echo htmlentities($ini_array_update_status['UpdateStatus']['Progress']); ?>; 
        var AUErrMsg = "<?php echo htmlentities($ini_array_update_status['UpdateStatus']['AUErrMsg']); ?>";
        
        var statusvalue="";
     
	var szMsgType = 'error';
	var szMsgParam = '';
        if(anotherprocessinprogress == 1)
        {
        	szMsgType = 'caution';
        	szMsgParam=AUUPDATE_RUNNING;
        }
        else if(AURetCode==4)   
        {				// TmuStatus = 4
        	szMsgType = 'notice';
        	szMsgParam=AUErrMsg;
    	}
    	else if(AURetCode==0  &&  (ExecRetCode==0 || ExecRetCode==29) && Progress==100)
    	{ 				// TmuStatus = 0
    		szMsgType = 'notice';
        	szMsgParam=AUErrMsg;
    	}
    	else
    	{			        // TmuStatus = others
    		szMsgType = 'error';
       		szMsgParam=AUErrMsg;
       	}
       		
       	messageMaker('status_message', { msg_type : szMsgType, message  : szMsgParam });
   }
}

function updateAUScheduleUI(){
    isUsingAUSchedule = updateAUSchedule.checked;
    document.getElementById('auschedule_setting1').disabled  =
    document.getElementById('auschedule_setting2').disabled  = !isUsingAUSchedule;

}

function updateUI(){
    isUsingProxy = proxy.checked ; 
    document.getElementById('protocol_http').disabled   = 
    document.getElementById('protocol_socks4').disabled = 
    document.getElementById('proxy_serevr').disabled    = 
    document.getElementById('proxy_port').disabled      = 
    document.getElementById('username').disabled        = 
    document.getElementById('password').disabled        = !isUsingProxy;
    if(document.update_settings.password.value.length > 0) {
               document.update_settings.password.value = "******";
    }
 
}

// return the value of the radio button that is checked
// return an empty string if none are checked, or
// there are no radio buttons
function getCheckedValue(radioObj) {
    if(!radioObj)
	return "";
    var radioLength = radioObj.length;
    if(radioLength == undefined)
	if(radioObj.checked)
	    return radioObj.value;
	else
	    return "";
    for(var i = 0; i < radioLength; i++) {
	if(radioObj[i].checked) {
	    return radioObj[i].value;
	}
    }
    return "";
}

function cancel_proxy_setting()
{
    window.location = "updates.php?sid=<?php echo htmlentities($session_name); ?>";
}

function save_proxy_setting()
{
	if( (document.update_settings.ausource_othersource.value!="http://"&&document.update_settings.ausource_othersource.length>0) || getCheckedValue(document.update_settings.ausource_setting)=="1")
	{
		if(checkUrl(document.update_settings.ausource_othersource)==false)
		{
		    alert(AU_SERVER_INVALID);
		    return false;
		}
	}
	else
	{
	    document.update_settings.ausource_othersource.value="";
	}
	if(document.update_settings.useProxy.checked)
	{
	    if(checkipordomain(document.update_settings.proxy_serevr)==false)
	    {
	        alert(PROXY_SERVER_INVALID);
                return false;
	    }
	    if(checkport(document.update_settings.proxy_port)==false)
            {
                alert(PROXY_PORT_INVALID);
                return false;
            }

	}
		

        if(document.update_settings.is_pwd_changed.value == "true")
        {
	    if(document.update_settings.password.value.length>0)
	    {
                var rsa = new RSAKey();
                rsa.setPublic(document.update_settings.pubkey.value, "10001");
                var result = rsa.encrypt(document.update_settings.password.value);
                document.update_settings.epwd.value = hex2b64(result);
		document.update_settings.password.value = document.update_settings.epwd.value;
	    }
	    else
	    {
		document.update_settings.epwd.value="";
	    }
        }
        document.update_settings.spare_proxy_serevr.value=document.update_settings.proxy_serevr.value;
        document.update_settings.spare_proxy_port.value=(document.update_settings.proxy_port.value=="")?"0":document.update_settings.proxy_port.value;
        document.update_settings.spare_username.value=document.update_settings.username.value;
        document.update_settings.spare_password.value=document.update_settings.password.value;
        document.update_settings.spare_useProxy.value=(document.update_settings.useProxy.checked)?"1":"0";
        document.update_settings.spare_protocol.value=getCheckedValue(document.update_settings.protocol);
        
	document.update_settings.spare_auschedule_setting.value=getCheckedValue(document.update_settings.auschedule_setting);
        document.update_settings.spare_useAUSchedule.value=(document.update_settings.useAUSchedule.checked)?"1":"0";

        return true;
}


var proxy;
var updateAUSchedule;
var isUsingProxy = <?php echo ($arr1['AU']['UseProxy']=="1")? 'true' : 'false';?>;
var isUsingAUSchedule = <?php echo ($arr1['AU']['UseAUSchedule']=="1")? 'true' : 'false';?>;

</script>
<style type="text/css">
#btn_update{
	margin-left:20px;
}
</style>
</head>

<body>
<!-- onLoad="TmCube_Nav_update(window.parent.left, 'Schedule')">-->
<form action="<?php echo($_SERVER['PHP_SELF'])?>" method="post" name="update_settings" id="update_settings">
<table width="98%" border="0" cellspacing="0" cellpadding="0">
<tr><td>
        <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr><td class="content-title" id="labTitle"><?php echo _("MSG_UPDATE_UPDATES")?></td>
            <td align="right" valign="bottom">
            	<a class="bluehelp" hideFocus="true" href="javascript:void(0);" id="HelpIcon"><img src="../images/url_help.gif" align="absmiddle" alt="Help" border="0">Help</a>
            </td>
        </tr>
        </table>
  </td></tr>
<tr>
    <td class="hor-dotted-line"><img src="../images/1space_cui.gif" width="1" height="10"></td>
</tr>
<tr>
    <td class="data1"><?php echo _("MSG_UPDATE_UPDATE_COMPONENT")?></td>
</tr>
<tr>
    <td><img src="../images/1space_cui.gif" width="1" height="10"></td>
</tr>
<tr> 
    <td vAlign="top"> 
    <div id="status_message"></div>
    <table cellpadding="0" cellspacing="0" border="0" width="100%" class="border">
<!-- Component -->
    <tr>
        <td class="tableheader"><?php echo _("MSG_UPDATE_COMPONENT_STATUS")?></td>
    </tr>
    <tr> 
        <td> 
        <table width="100%" border="0" cellpadding="0" cellspacing="0">
        <tr>                        
            <td class="grey" nowrap="nowrap" width="200"><strong><?php echo _("MSG_UPDATE_COMPONENT")?></strong></td>
            <td class="grey" nowrap="nowrap" width="162"><strong><?php echo _("MSG_UPDATE_CURRENT_VER")?></strong></td>        
            <td class="grey-end" nowrap="nowrap"><strong><?php echo _("MSG_UPDATE_LAST_UPDATE")?></strong></td>      
        </tr>
        <tr>                         
            <td class="data1b" nowrap="nowrap"><?php echo _("MSG_UPDATE_SMART_SCAN_PATTERN")?></td>
            <td class="data1b" nowrap="nowrap"><?php echo htmlentities(getPatternVersion($ini_array["LeaderTablePatternVersion"])); ?></td>
            <td class="data1"  nowrap="nowrap"><?php echo $LeaderTableUpdateTime; ?><input id="btn_update" name="updatenow" type="button"  class="button"  value="<?php echo _("MSG_UPDATE_UPDATE_NOW")?>" onClick="window.location.href=('updates_now_inprogress.php?sid=<?php echo htmlentities($session_name); ?>')"></td>
        </tr>
        </table>
        </td>
    </tr>
    <!-- Scan Engin Update Schedule -->
    <tr>
        <td class="tableheadergrey2"><?php echo _("MSG_UPDATE_UPDATE_SCHEDULE")?></td>
    </tr>
    <tr>
        <td>
        <table width="100%" border="0" cellpadding="0" cellspacing="0">
        <tr>
            <td colspan="2"><img src="../images/1space_cui.gif" width="1" height="10"></td>
        </tr>
        <tr>
            <td width="20"> <input name="useAUSchedule" id="useAUSchedule"  type="checkbox" <?php echo
($arr1['AU']['UseAUSchedule']=="1")? 'CHECKED' : '';?>> </td>
            <td colspan="2" class="data1">
              <label for="useAUSchedule"><?php echo _("MSG_UPDATE_ENABLE_SCHEDULED_UPDATE")?></label>
            </td>
        </tr>
        <tr>
            <td colspan="3"><img src="../images/1space.gif" width="1" height="5"></td>
        </tr>

        <tr>
            <td>&nbsp;</td>
            <td width="20"><input name="auschedule_setting" id="auschedule_setting1" type="radio" value="0" <?php echo

($arr1['AU']['AUSchedule']=="60")? 'CHECKED' : '';?>></td>
            <td class="data1" width="100%"><label for="auschedule_setting1"><?php echo _("MSG_UPDATE_HOURLY")?></label></td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <td><input name="auschedule_setting" id="auschedule_setting2" type="radio" value="1" <?php echo

($arr1['AU']['AUSchedule']!="60")? 'CHECKED' : '';?>></td>
            <td class="data1" width="100%"><label for="auschedule_setting2"><?php echo _("MSG_UPDATE_EVERY_15_MIN")?></label> </td>
        </tr>
        <tr>
            <td colspan="2"><img src="../images/1space_cui.gif" width="1" height="10"></td>
        </tr>
        </table>
        </td>
    </tr>

    <!-- Scan Engine Update REsource -->
    <tr>
        <td class="tableheadergrey2"><?php echo _("MSG_UPDATE_UPDATE_SOURCE")?></td>
    </tr>
    <tr> 
        <td> 
        <table width="100%" border="0" cellpadding="0" cellspacing="0">
        <tr>
            <td colspan="2"><img src="../images/1space_cui.gif" width="1" height="10"></td>
        </tr>
        <tr>
            <td height="25" width="20"><input name="ausource_setting" id="ausource_setting1" type="radio"  value="0"  <?php echo

($arr1['AU']['UseOtherAUServer']=='0')? 'CHECKED' : '';?>/></td>
            <td class="data1"><label for="ausource_setting1"><?php echo _("MSG_UPDATE_TREND_AU_SERVER")?></label></td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <td class="data1">(<?php echo  htmlentities($arr1['AU']['DefaultAUServer'])?>)</td>
        </tr>
        <tr>
            <td height="25" width="20"><input name="ausource_setting" id="ausource_setting2" type="radio" value="1" <?php echo

($arr1['AU']['UseOtherAUServer'] != '0')? 'CHECKED' : '';?>/></td>
            <td class="data1"><label for="ausource_setting2"><?php echo _("MSG_UPDATE_OTHER_UPDATE_SOURCE")?></label></td>
        </tr>  
        <tr>
            <td>&nbsp;</td>
            <td class="data1"><input name="ausource_othersource" class="button"  value="<?php echo
($arr1['AU']['OtherAUServer'] != '')? htmlentities($arr1['AU']['OtherAUServer']) : 'http://';?>" size="84" maxlength="256" /></td>
        </tr>   
        <tr> 
            <td height="10" colspan="2"><img src="../images/1space_cui.gif" width="1" height="10"></td>
        </tr>
        </table>
        </td>
    </tr>
    <!-- Proxy Settings -->
    <tr>
        <td class="tableheadergrey2"><?php echo _("MSG_UPDATE_PROXY_SETTING")?></td>
    </tr>
    <tr>
        <td>
        <table width="100%" border="0" cellpadding="0" cellspacing="0">
        <tr>
            <td colspan="3"><img src="../images/1space.gif" width="1" height="10"></td>
        </tr>
        <tr>
            <td width="20"> <input name="useProxy" id="useProxy"  type="checkbox" <?php echo
($arr1['AU']['UseProxy']=="1")? 'CHECKED' : '';?>> </td>
            <td colspan="2" class="data1">
              <label for="useProxy"><?php echo _("MSG_USE_PROXY")?></label>
            </td>
        </tr>
        <tr>
            <td colspan="3"><img src="../images/1space.gif" width="1" height="5"></td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <td class="data1"><?php echo _("MSG_UPDATE_PROXY_PROTOCOL")?></td>
            <td class="data1" width="95%">
                <input name="protocol" id="protocol_http" type="radio" value="0"  <?php echo
($arr1['AU']['UseSocks4']!="1")? 'CHECKED' : '';?>> 
                <label for="protocol_http">HTTP</label>
            </td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
            <td class="data1"><input type="radio" name="protocol" id="protocol_socks4" value="1"  <?php echo
($arr1['AU']['UseSocks4']=="1")? 'CHECKED' : '';?>> 
                <label for="protocol_socks4">SOCKS4</label></td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <td nowrap class="data1"><label for="proxy_serevr"><?php echo _("MSG_UPDATE_PROXY_SERVER")?> </label></td>
            <td class="data1"><input name="proxy_serevr" id="proxy_serevr" type="text" class="button" size="46"  maxlength="256" value="<?php echo htmlentities($arr1['AU']['ProxyServer'])?>"></td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <td class="data1"><label for="proxy_port"><?php echo _("MSG_UPDATE_PROXY_PORT")?> </label></td>
            <td class="data1">
                <input name="proxy_port" id="proxy_port" type="text" class="button" size="5" maxlength="5" style="width:50;" value="<?php echo
($arr1['AU']['ProxyPort']=="0")? '' : $arr1['AU']['ProxyPort'];?>" ></td>
        </tr>
        <tr>
            <td colspan="3"><img src="../images/1space.gif" width="1" height="5"></td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <td colspan="2" class="data1"><?php echo _("MSG_UPDATE_PROXY_AUTHENTICATION")?> </td>
            <td>&nbsp;</td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <td class="data1"><label for="username"><?php echo _("MSG_UPDATE_PROXY_USER_ID")?> </label></td>
            <td class="data1"><input name="username" id="username" type="text" class="button" size="30"  maxlength="32" value="<?php echo htmlentities($arr1['AU']['ProxyUsername'])?>">
        </td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <td class="data1"><label for="password"><?php echo _("MSG_UPDATE_PROXY_PASSWORD")?></label></td>
            <td class="data1"><input name="password" id="password" type="password" class="button" size="30"  maxlength="32" onChange="this.form.is_pwd_changed.value='true'" value="<?php echo htmlentities($arr1['AU']['ProxyPassword'])?>"></td>
        </tr>
        <tr>
            <td height="10" colspan="2"><img src="../images/1space_cui.gif" width="1" height="10"></td>
        </tr>
        </table>
        </td>
    </tr>
    </table>
    </td>
</tr>
<tr> 
    <td height="28" valign="bottom"><input name="submit" type="submit"  class="button"  value="<?php echo _("MSG_UPDATE_BTN_SAVE")?>" style="width:50px"  onClick="return save_proxy_setting();"> 
      <input name="cancel" type="button"  class="button"  value="<?php echo _("MSG_UPDATE_BTN_CANCEL")?>" style="width:50px" onClick="cancel_proxy_setting();">
    </td>
</tr>
</table>
<input type="hidden" name="pubkey" value="<?php echo $public_key ?>">
<input type="hidden" name="is_pwd_changed" value="false">
<input type="hidden" name="epwd" value="">
<input type="hidden" name="sid" value="<?php echo htmlentities($session_name); ?>" />
<input type="hidden" name="spare_username" value="">
<input type="hidden" name="spare_password" value="">
<input type="hidden" name="spare_proxy_serevr" value="">
<input type="hidden" name="spare_proxy_port" value="">
<input type="hidden" name="spare_protocol" value="">
<input type="hidden" name="spare_useProxy" value="">
<input type="hidden" name="spare_useAUSchedule" value="">
<input type="hidden" name="spare_auschedule_setting" value="">
</form>
</body>
</html>
